Home > Error Cannot > Error Cannot Find Libpq-fe.h

Error Cannot Find Libpq-fe.h

I am glad to know this article is helpful to you. 🙂 Reply koosah says: August 13, 2014 at 7:58 am Say + average of 5 mins for 19 yum installations I didn't find the library on my system. krlmlr closed this Nov 10, 2015 dckc commented Nov 19, 2015 I'm using SLES 11, and I get the same symptoms. Question Tools Follow subscribe to rss feed Stats Asked: 2011-11-08 17:47:11 +0000 Seen: 10,322 times Last updated: Nov 08 '11 Related questions Dependencies for visimeet Fedora 18 need "libc.so.6" Self-built gcc-built this contact form

Keep doing such a wonderful work. How can I ask about the "winner" of an ongoing match? more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Is Area of a circle always irrational Why is looping over find's output bad practice?

yum install /usr/include/libpq-fe.h edit flag offensive delete link more Your Answer Please start posting anonymously - your entry will be published after you log in or create a new account. share|improve this answer edited Oct 21 at 17:18 Peter Mortensen 10.3k1370107 answered Oct 20 '14 at 16:21 Cynthia Sanchez 1195 add a comment| up vote 2 down vote On FreeBSD (9.1) Solution: yum install t1lib-devel.x86_64 ERROR XXI: configure: error: mcrypt.h not found.

  1. Solution: Fix: Reconfigure your PHP with the following option. –with-xpm-dir=/usr ERROR VI : checking for png_write_image in -lpng… yes configure: error: libXpm.(a|so) not found.
  2. That’s why it shows the error message.
  3. Required fields are marked *Comment Name * Email * Website Current [emailprotected] * Leave this field empty Follow: CategoriesCategories Select Category Administrative tools CloudLinux commands exim MySql Control panels cPanel Direct
  4. with capistrano) the 'deploy' user. –Les Nightingill May 28 '15 at 12:36 2 bundle config build.pg --with-pg-config=/usr/pgsql-9.4/bin/pg_config solve i for me on Centos 7 –liloargana Jan 3 at 19:39 add
  5. Thanks much Reply Arun Lal says: July 30, 2014 at 12:35 pm Thanks for your feedback.
  6. I did run brew update; brew upgrade after the Yosemite install to get the latest versions of packages I had installed previously.

yes checking locale.h presence... What output do you have from Capistrano? –JoePasq Mar 10 '15 at 21:56 Thanks for the response: here is a gist with the output from capistrano (with debug) gist.github.com/whargrove/03ff94d1b6e7648030ed That is also a site restriction, at least for my rep :) –Michael Durrant Apr 27 '13 at 14:09 I see, np buddy :) –Lucio Apr 27 '13 at ruby-on-rails ruby-on-rails-3 postgresql rails-postgresql pg share|improve this question edited Oct 21 at 16:48 Peter Mortensen 10.3k1370107 asked May 18 '11 at 6:11 demonchand 2,83651424 can you prove that you

Solution: yum install libpng-devel ERROR IV : checking for curl_multi_strerror in -lcurl… yes checking for QDBM support… no checking for GDBM support… no checking for NDBM support… no configure: error: DBA: Results logged to /home/demonchand/.rvm/gems/ruby-1.9.2-p0/gems/pg-0.11.0/ext/gem_make.out How do I solve this problem? When you try install gem pg in your Ruby environment on your mac machine, it has dependency over library with name libpq-fe.h(libpq-dev) which is not installed on your machine. Join them; it only takes a minute: Sign up pg gem install fails, cannot find libpq-fe.h header up vote 7 down vote favorite 1 Whenever I run bundle install on my

Why do languages require parenthesis around expressions when used with "if" and "while"? checking for fabsf… yes checking for floorf… yes checking for jpeg_read_header in -ljpeg… yes configure: error: png.h not found. PHP scripts Security Uncategorized Utilities Addons Wallpapers Web Server .htaccess Apache Nginx Web-ART WordPress Windows Best place for Linux Recent comments!!!Arunlal Ashok on Accessing PhpMyAdmin without cPanel login?Shah on Accessing PhpMyAdmin Is the result of the general election final on 8th of Nov, 2016?

If building fails, please try again with --with-pg-config=/path/to/pg_config checking for libpq-fe.h... have a peek here Just to add a note regarding bundle config... yes checking for libintl.h... no Can't find the 'libpq-fe.h header *** extconf.rb failed *** Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers.

share|improve this answer answered Sep 6 '13 at 0:27 Claus Due 1,002313 add a comment| up vote 2 down vote On Debian 7.0, 64-bit (Wheezy), just run: sudo apt-get install libpq-dev http://optimisersonpc.com/error-cannot/error-cannot-find-shell-dll.html Thus I installed it using an app from PostgreSQL main website. All Rights Reserved. What do you call a relay that self-opens on power loss?

Reply junghoonYu says: October 29, 2015 at 4:59 am thanks.. –with-unixODBC=/usr Reply PERI VENKATA RAMANA says: July 29, 2014 at 6:22 pm Super .. centos capistrano bundler pg centos7 share|improve this question asked Mar 2 '15 at 16:18 whargrove 140120 add a comment| 1 Answer 1 active oldest votes up vote 13 down vote accepted Ask Ubuntu works best with JavaScript enabled Home Subscribe can't find the ‘libpq-fe.h header *** extconf.rb failed *** 22 Jan 2014 on Rails can’t find the ‘libpq-fe.h header *\* extconf.rb failed http://optimisersonpc.com/error-cannot/peoplesoft-error-cannot-find-sqr.html This looks like there was a private copy of libpq-fe.h in the postgres-...

no No pg_config... The bundler config is stored in ~/.bundle/config, so it will not be found if you run bundle config while logged-in as root, but bundler is being run by (e.g. no checking for postgres.h...

If a question you asked has been answered, accept the best answer by clicking on the checkbox on the left side of the answer.

Check out the FAQ! more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed We recommend upgrading to the latest Safari, Google Chrome, or Firefox. What's the most robust way to list installed software in debian based distros?

trying anyway. After that I didn’t need any additional scripts or environment variables. –JoePasq Jan 16 '15 at 18:55 add a comment| up vote 2 down vote I had the same problem on Note: Anytime you change the Bash configuration - changing the profile.d configuration - you should reload Bash. his comment is here I actually installed PostgreSQL 9.1 through the Ubuntu software center, but then built GDAL, GEOS, and PostGIS from source.

Why is the reduction of sugars more efficient in basic solutions than in acidic ones? Reply Arunlal A says: November 28, 2015 at 2:27 pm Nice to hear 🙂 Reply Cornélio José Wiedemann says: May 30, 2016 at 7:56 pm oieeeeeee muito tksss gatuuu otimo post The output (about 100 lines of mostly incomprehensible statements) included about one dozen instances of the following error message: You need to install postgresql-server-dev-X.Y for building a server-side extension or libpq-dev Very good article i can say ..

Back to Top